Bug 865597 - stack trace and I/O errors after attempting pm-hibernate on ThinkStation D20
stack trace and I/O errors after attempting pm-hibernate on ThinkStation D20
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On: 679631
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 17:06 EDT by Eric Blake
Modified: 2013-04-23 13:27 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 13:27:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
photo of screen containing stack trace after resume (268.58 KB, image/jpeg)
2012-10-11 17:06 EDT, Eric Blake
no flags Details

  None (edit)
Description Eric Blake 2012-10-11 17:06:35 EDT
Created attachment 625696 [details]
photo of screen containing stack trace after resume

Description of problem:
During the F18 power test day (https://fedoraproject.org/wiki/Test_Day:2012-10-11_Power_Management#Test_Results), I tried pm-hibernate on my Lenovo ThinkStation D20.  The suspend was mostly successful - the power was cut, and on next boot, I saw messages about reloading state.  Then the screen went blank for about a minute; when it finally flickered back on, I had a prompt back, but also a nasty stack dump (see attachment).  I was also able to do a couple of simple tasks like 'echo hi' and 'dmesg' and 'uname', but more complex tasks like 'dmesg | less' or 'rpm -q kernel' complained about I/O errors.

Version-Release number of selected component (if applicable):
kernel-3.7.0-0.rc0.git5.2.fc19.x86_64

How reproducible:
probably 100%, although I didn't retry

Steps to Reproduce:
1. pm-hibernate, and wait for power light to go out
2. power back on, and wait
3.
  
Actual results:
see screenshot.  Also, the I/O errors I was getting looked like:
[ 3649.208289] sd 6:0:0:0: [sda] Unhandled error code
[ 3649.210064] sd 6:0:0:0: [sda]
[ 3649.211844] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK
[ 3649.213630] sd 6:0:0:0: [sda] CDB:
[ 3649.215404] Read(10): 28 00 05 f5 e6 80 00 00 20 00
[ 3649.217257] end_request: I/O error, dev sda, sector 100001408
-base: /bin/rpm: Input/output error

Expected results:
resume from hibernation with no ill effects

Additional info:
pm-suspend also gave me grief (see bug 679631), if it is related.
Comment 1 Fedora End Of Life 2013-04-03 11:41:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Justin M. Forbes 2013-04-05 15:15:08 EDT
Is this still an issue with the 3.9 kernels in F19?
Comment 3 Justin M. Forbes 2013-04-23 13:27:35 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.